%define		php_name	php%{?php_suffix}
%define		modname		propro
%define		status		stable
Summary:	%{modname} - Property proxy
Name:		%{php_name}-pecl-%{modname}
Version:	2.1.0
Release:	1
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	cb53d926b3bbd4e98b08757dd4b40fc9
URL:		http://pecl.php.net/package/propro/
BuildRequires:	%{php_name}-devel >= 3:5.3.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A reusable split-off of pecl_http's property proxy API.

In PECL status of this extension is: %{status}.

%package devel
Summary:	Header files for propro PECL extension
Group:		Development/Libraries
# does not require base
Requires:	%{php_name}-devel >= 4:5.2.0

%description devel
Header files for propro PECL extension.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%{__libtoolize}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

install -p -D php_propro.h $RPM_BUILD_ROOT%{_includedir}/php/ext/propro/php_propro.h

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%files devel
%defattr(644,root,root,755)
%dir %{php_includedir}/ext/propro
%{php_includedir}/ext/propro/php_propro.h
%changelog
* Thu Oct 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-propro.git;a=log;h=auto/th/php-pecl-propro-2.1.0-1

* Mon Oct 08 2018 Adam Gołębiowski <adamg@pld-linux.org> 4dd19ff
- updated to 2.1.0

* Tue May 05 2015 Elan Ruusamäe <glen@delfi.ee> a2d85ef
- devel: require proper version, not just any

* Thu Mar 26 2015 Adam Gołębiowski <adamg@pld-linux.org> 2d7d23e
- new

